import { INestedFieldSearchFilterConstraint, ISearchFilter, ISearchFilterConstraint, ModuleProperty, SearchFilterValuePrimitives, SearchFilterValueType } from 'bf-types';
export declare type SearchFilterPair = [string | ModuleProperty, SearchFilterValueType];
export declare type PairOrFilter = ISearchFilter | SearchFilterPair;
export declare function searchFilter(fieldName: string | ModuleProperty, fieldValue: SearchFilterValueType): ISearchFilter;
export declare function searchFilters(...filters: PairOrFilter[]): ISearchFilter[];
export declare const containsFilter: (fieldName: string | ModuleProperty, value: SearchFilterValuePrimitives, constraint?: INestedFieldSearchFilterConstraint | undefined) => ISearchFilter;
export declare const containsLikeTextFitler: (fieldName: string | ModuleProperty, value: string, constraint?: INestedFieldSearchFilterConstraint | undefined) => ISearchFilter;
export declare const containsInListFilter: (fieldName: string | ModuleProperty, values: SearchFilterValuePrimitives[], constraint?: INestedFieldSearchFilterConstraint | undefined) => ISearchFilter;
export declare const exactMatchFilter: (fieldName: string | ModuleProperty, value: SearchFilterValuePrimitives, constraint?: INestedFieldSearchFilterConstraint | undefined) => ISearchFilter;
export declare const greaterThanFilter: (fieldName: string | ModuleProperty, value: SearchFilterValuePrimitives, constraint?: INestedFieldSearchFilterConstraint | undefined) => ISearchFilter;
export declare const greaterThanOrEqualFilter: (fieldName: string | ModuleProperty, value: SearchFilterValuePrimitives, constraint?: INestedFieldSearchFilterConstraint | undefined) => ISearchFilter;
export declare const inListFilter: (fieldName: string | ModuleProperty, values: SearchFilterValuePrimitives[], constraint?: INestedFieldSearchFilterConstraint | undefined) => ISearchFilter;
export declare const lessThanFilter: (fieldName: string | ModuleProperty, value: SearchFilterValuePrimitives, constraint?: INestedFieldSearchFilterConstraint | undefined) => ISearchFilter;
export declare const lessThanOrEqualFilter: (fieldName: string | ModuleProperty, value: SearchFilterValuePrimitives, constraint?: INestedFieldSearchFilterConstraint | undefined) => ISearchFilter;
export declare const likeTextFilter: (fieldName: string | ModuleProperty, value: string, constraint?: INestedFieldSearchFilterConstraint | undefined) => ISearchFilter;
export declare const notContainsInListFilter: (fieldName: string | ModuleProperty, values: SearchFilterValuePrimitives[], constraint?: INestedFieldSearchFilterConstraint | undefined) => ISearchFilter;
export declare const notEqualFilter: (fieldName: string | ModuleProperty, value: SearchFilterValuePrimitives, constraint?: INestedFieldSearchFilterConstraint | undefined) => ISearchFilter;
export declare const notInListFilter: (fieldName: string | ModuleProperty, values: SearchFilterValuePrimitives[], constraint?: INestedFieldSearchFilterConstraint | undefined) => ISearchFilter;
export declare const rangeFilter: (fieldName: string | ModuleProperty, start: SearchFilterValuePrimitives, end: SearchFilterValuePrimitives) => ISearchFilter;
export declare const temporalDateRangeFilter: (fieldName: string | ModuleProperty, start: SearchFilterValuePrimitives, end: SearchFilterValuePrimitives, constraint: ISearchFilterConstraint) => ISearchFilter;
